Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
event::DataPushService::EntrySettings Struct Reference

Data Push Entry Settings. More...

`import <DataPushService.idl;`

## Public Attributes
string | url
| Destination host.
boolean | allowOffTimeRangeCerts
| allow expired and not yet valid TLS certificates
string | caCertChain
| TLS CA certificate chain.
boolean | useAuth
| `true` to use username/password authentication (basic authentication in case of HTTP)
string | username
| Authentication user name.
string | password
| Password; write-only, empty to leave unchanged.
EntryType | type
| Type of data.
vector< string > | items
| Included items (e.g. list of sensors) depending on type.
MqttSettings | mqttSettings
| MQTT specific settings.

## Detailed Description

Data Push Entry Settings.

Definition at line 42 of file DataPushService.idl.

## Member Data Documentation

## ◆ allowOffTimeRangeCerts

boolean event::DataPushService::EntrySettings::allowOffTimeRangeCerts

allow expired and not yet valid TLS certificates

Definition at line 44 of file DataPushService.idl.

## ◆ caCertChain

string event::DataPushService::EntrySettings::caCertChain

TLS CA certificate chain.

Definition at line 45 of file DataPushService.idl.

## ◆ items

vector<string> event::DataPushService::EntrySettings::items

Included items (e.g. list of sensors) depending on type.

Definition at line 51 of file DataPushService.idl.

## ◆ mqttSettings

MqttSettings event::DataPushService::EntrySettings::mqttSettings

MQTT specific settings.

Definition at line 52 of file DataPushService.idl.

## ◆ password

string event::DataPushService::EntrySettings::password

Password; write-only, empty to leave unchanged.

Definition at line 49 of file DataPushService.idl.

## ◆ type

EntryType event::DataPushService::EntrySettings::type

Type of data.

Definition at line 50 of file DataPushService.idl.

## ◆ url

string event::DataPushService::EntrySettings::url

Destination host.

Definition at line 43 of file DataPushService.idl.

## ◆ useAuth

boolean event::DataPushService::EntrySettings::useAuth

`true` to use username/password authentication (basic authentication in case of HTTP)

Definition at line 46 of file DataPushService.idl.

## ◆ username

string event::DataPushService::EntrySettings::username

Authentication user name.

Definition at line 48 of file DataPushService.idl.

The documentation for this struct was generated from the following file:

- DataPushService.idl